let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/i7pgaclm3qrcm9gpqxb5mbw9wsn7prd0-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/22k05iglnv51fhr5gc0xf5g9b2yfgajm-coreutils-8.29/bin";
  bzip2 = "/nix/store/6wx7f6j6mpfv44myw4ba0y39jay6zg4z-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/8jwfp5m3shc33mznkas53xcc6xghmqwp-gzip-1.9/bin/gzip";
  xz = "/nix/store/0bmvwm5qfha590ww8n0qm9m6lv5yr850-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/4r90cim0sm9nby13f0dpapqxlkiv530q-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/22k05iglnv51fhr5gc0xf5g9b2yfgajm-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/2v93d0vimlm28jg0ms6v1i6lc0fq13pn-nix-2.1.3/bin";
  nixPrefix = "/nix/store/2v93d0vimlm28jg0ms6v1i6lc0fq13pn-nix-2.1.3";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/2v93d0vimlm28jg0ms6v1i6lc0fq13pn-nix-2.1.3/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
